org.eclipse.jetty.plus.annotation

## Class InjectionCollection

- java.lang.Object
- - org.eclipse.jetty.plus.annotation.InjectionCollection

    public class InjectionCollection
    extends Object

InjectionCollection

### Field Summary

Fields
`static String` `INJECTION_COLLECTION`

### Constructor Summary

Constructors
Constructor and Description
`InjectionCollection()`

### Method Summary

Methods
`void` `add(Injection injection)`
`Injection` `getInjection(String jndiName, Class<?> clazz, Field field)`
`Injection` `getInjection(String jndiName, Class<?> clazz, Method method, Class<?> paramClass)`
`List<Injection>` `getInjections(String className)`
`void` `inject(Object injectable)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INJECTION_COLLECTION

    public static final String INJECTION_COLLECTION

See Also:
  Constant Field Values

### Constructor Detail

#### InjectionCollection

    public InjectionCollection()

### Method Detail

#### add

    public void add(Injection injection)

#### getInjections

    public List<Injection> getInjections(String className)

#### getInjection

    public Injection getInjection(String jndiName,
                         Class<?> clazz,
                         Field field)

#### getInjection

    public Injection getInjection(String jndiName,
                         Class<?> clazz,
                         Method method,
                         Class<?> paramClass)

#### inject

    public void inject(Object injectable)